<?php

     /*
	[EN] Modification of conf_init from bootstrap.inc
	[RU]   conf_init  bootstrap.inc
     */

    function conf_init() {
	global $theme_url, $theme_path, $theme_root;
	/* ... */
	if (isset($theme_url)) { /* ... */ }
	else {
	 // Create theme URL
	    $theme_root = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on') ? 'https' : 'http';
	 // As $_SERVER['HTTP_HOST'] is user input, ensure it only contains characters allowed in hostnames.
	    $theme_url = $theme_root .= '://'. preg_replace('/[^a-z0-9-:._]/i', '', $_SERVER['HTTP_HOST']);
	 // $_SERVER['SCRIPT_NAME'] can, in contrast to $_SERVER['PHP_SELF'], not be modified by a visitor.
	    if ($dir = trim(dirname($_SERVER['SCRIPT_NAME']), '\,/')) {
		$theme_path = "/$dir";
		$theme_url .= $theme_path;
		$theme_path .= '/';
	    }
	    else {
		$theme_path = '/';
	    }
	}
	/* ... */
	}

	conf_init();

 ?>